BatchGet
curl --request POST \
--url https://developer.synq.io/api/alerts/v1/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
{
"fqn": "<string>"
}
]
}
'import requests
url = "https://developer.synq.io/api/alerts/v1/get"
payload = { "identifiers": [{ "fqn": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifiers: [{fqn: '<string>'}]})
};
fetch('https://developer.synq.io/api/alerts/v1/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alerts": {}
}synq.alerts.services.v1.AlertsService
BatchGet
Get multiple alert configurations by their identifiers.
POST
/
api
/
alerts
/
v1
/
get
BatchGet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
IDs of the alerts to get.
Minimum array length:
1- fqn
- id
Show child attributes
Show child attributes
Response
200 - application/json
Success
Alerts mapped by their identifiers.
Show child attributes
Show child attributes
⌘I